View Issue Details

IDProjectCategoryView StatusLast Update
0010610LazarusIDEpublic2013-09-03 12:07
ReporterSteffen MeyerAssigned ToPaul Ishenin 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.24Product Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0010610: inserting product version "1.7" prevents compiling
DescriptionWhen I am including a VersionInfo to my executable and insert a Product version containing only 2 numbers, like "1.7" then windres will not be able to compile the generated .rc into the .res file.
Settings:
 Menu: Project - Project Options - Tab: Version Info
 Button: Additional Information
 Line: Product Version: set to "1.7"

Diagnostics:
Using `gcc -E -xc -DRC_INVOKED S:\Lazarus\Test.rc'
Using popen to read preprocessor output
windres: S:\\Lazarus\\Test.rc:4: syntax error
Errors found while compiling S:\Lazarus\Test.rc
Additional InformationIf the line is left empty, the value from the "Version Info" is taken (4 digits) and all is ok. If the line will contain 4 digits, like "1.7.0.1" all is ok. But if the line contains only 2 digits the compilation will fail.
TagsNo tags attached.
Fixed in Revision
LazTarget1.4
WidgetsetWin32/Win64
Attached Files

Activities

Boguslaw Brandys

2008-01-10 12:51

developer   ~0017216

Please include generated Test.rc file.
I could test if it's a proper resource by trying to compile it with resource compiler included in delphi 5. I think that would be a proper test.

Vincent Snijders

2008-03-04 14:56

manager   ~0018109

Maybe a free form string is not allowed (by windows) in the product version number.

Zeljan Rikalo

2010-03-10 11:10

developer   ~0035148

Please retest with 0.9.29 latest svn. Version info is changed, also there was a bunch of changes with resources.

Paul Ishenin

2010-03-11 04:40

manager   ~0035225

Yes, this is fixed now.

Steffen Meyer

2011-04-04 18:31

reporter   ~0047210

Works fine on Lazarus 0.9.30 Windows 32/64 bit.

Issue History

Date Modified Username Field Change
2008-01-10 12:10 Steffen Meyer New Issue
2008-01-10 12:10 Steffen Meyer Widgetset => Win32
2008-01-10 12:51 Boguslaw Brandys Note Added: 0017216
2008-03-04 14:56 Vincent Snijders LazTarget => post 1.2
2008-03-04 14:56 Vincent Snijders Note Added: 0018109
2008-03-04 14:56 Vincent Snijders Status new => acknowledged
2010-03-10 11:10 Zeljan Rikalo Note Added: 0035148
2010-03-10 11:10 Zeljan Rikalo Status acknowledged => feedback
2010-03-11 04:40 Paul Ishenin Status feedback => resolved
2010-03-11 04:40 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-03-11 04:40 Paul Ishenin Resolution open => fixed
2010-03-11 04:40 Paul Ishenin Assigned To => Paul Ishenin
2010-03-11 04:40 Paul Ishenin Note Added: 0035225
2011-04-04 18:31 Steffen Meyer Status resolved => closed
2011-04-04 18:31 Steffen Meyer Note Added: 0047210
2013-09-03 12:07 Martin Friebe LazTarget post 1.2 => 1.4